Subject: Re: 24.0.93 fails to build with 'Invalid function: "DEAD"'

From: Dan Horák <[email-masked]>
Date: Wed, 15 Feb 2012 08:39:13 +0100

Paul Eggert píše v Út 14. 02. 2012 v 23:24 -0800: 
> I can't reproduce the problem on my bigendian 32-bit host
> (Solaris 10, 32-bit sparc, Sun C 5.12 2011/11/16),
> so the problem can't be just the 32-bit bigendianness.
> 
> The symptoms are those of a failure during conservative
> garbage collection, and my suspicion is that the
> conservative marking isn't picking up some register that's
> hiding in a setjmp buffer or whatnot.
> 
> Suppose you do a "make clean" and then
> "make CPPFLAGS=-DGC_LISP_OBJECT_ALIGNMENT=2" and/or
> "make CPPFLAGS=-DGC_LISP_OBJECT_ALIGNMENT=1".
> Does that work around the problem?
> 
> Likewise, suppose you do a "make clean"
> and then rebuild with compiler optimization disabled.
> Does that work around the problem?
> 
> I'll CC: this to bug 10749, since GC_LISP_OBJECT_ALIGNMENT=1
> may work around its problems too.

I have to do some more testing but now it seems that using
--with-wide-int option for configure provokes the "Invalid function"
behaviour. When the option is not given, the build is successful, when
given, then I see a segfault in the non-bootstrap build.

Dan